Recommendations
List Models
ModelsExpand Collapse
class RecommendationListModelsResponse: …
capabilities: List[Literal["3d23d", "audio2audio", "audio2txt", 30 more]]List of model capabilities (example: [“txt2img”, “img2img”, “txt2img_ip_adapter”, …])
List of model capabilities (example: [“txt2img”, “img2img”, “txt2img_ip_adapter”, …])
Whether the model is a custom model and can be used only with POST /generate/custom/{modelId} endpoint
type: Literal["custom", "elevenlabs-voice", "flux.1", 28 more]The model type (example: “flux.1-lora”)
The model type (example: “flux.1-lora”)
access_restrictions: Optional[Literal[0, 100, 25, 2 more]]The access restrictions of the model
0: Free plan
25: Starter plan
50: Pro plan
75: Max plan
100: Enterprise plan
The access restrictions of the model 0: Free plan 25: Starter plan 50: Pro plan 75: Max plan 100: Enterprise plan
class_: Optional[Class]The class of the model
The class of the model
List of base model IDs compliant with the model (example: [“flux.1-dev”, “flux.1-schnell”]) This attribute is mainly used for Flux LoRA models
concepts: Optional[List[Concept]]The concepts is required for the type model: composition
The concepts is required for the type model: composition
When true, credits spent on a generation with this model are not automatically refunded if the generation fails. Absent or false means failed generations are refunded as usual.
The epoch of the model. Only available for Flux Lora Trained models. If not set, uses the final model epoch (latest)
inputs: Optional[List[Input]]The inputs of the model. Only used for custom models. To retrieve this list, get it by modelId with GET /models/{modelId}
The inputs of the model. Only used for custom models. To retrieve this list, get it by modelId with GET /models/{modelId}
The allowed values for the input. For `string` or `number` types, creates a single-select dropdown. For `string_array` type, creates a multi-select dropdown.
background_behavior: Optional[Literal["opaque", "transparent"]]Specifies the background behavior for the input. Only available for `file` and `file_array`
input types with kind `image`.
Specifies the background behavior for the input. Only available for `file` and `file_array` input types with kind `image`.
Help text displayed in the UI to provide additional information about the input
Used to visually group inputs together in the UI. Inputs with the same group value appear consecutively in the UI.
The list of inputs which form an object within a container array. All inputs are the same as the current object. This is only available for type inputs_array inputs.
kind: Optional[Literal["3d", "audio", "document", 5 more]]The asset kind of the input. Only taken into account for `file` and `file_array` input types.
If model provides multiple kinds,
the input will be not able to create the asset on the flight on API side with dataurl without data:kind, prefix
`file` and `file_array` inputs always expose a kind: when a model does not declare one,
`image` is returned, which is the kind used at generation time.
The asset kind of the input. Only taken into account for `file` and `file_array` input types. If model provides multiple kinds, the input will be not able to create the asset on the flight on API side with dataurl without data:kind, prefix `file` and `file_array` inputs always expose a kind: when a model does not declare one, `image` is returned, which is the kind used at generation time.
The maximum allowed media duration in seconds. Only applies to `file` and `file_array` input types for video and audio assets. Validated against `asset.properties.duration` at job creation time.
The maximum allowed length for `string` and `model` inputs, in characters. For the array types (`string_array`, `model_array`) it bounds the NUMBER OF ITEMS instead — the length of each item is not constrained.
The maximum allowed file size in bytes. Only applies to `file` and `file_array` input types. Validated against `asset.properties.size` at job creation time.
The minimum allowed length for `string` and `model` inputs, in characters. For the array types (`string_array`, `model_array`) it bounds the NUMBER OF ITEMS instead — the length of each item is not constrained.
model_types: Optional[List[Literal["custom", "elevenlabs-voice", "flux.1", 28 more]]]The allowed model types for this input. Example: `[“flux.1-lora”]`.
Only available for `model_array` input type.
The allowed model types for this input. Example: `[“flux.1-lora”]`. Only available for `model_array` input type.
Whether this input represents a parent asset to assign to the produced assets. Only available for `file` and `file_array` input types.
For `file_array`, the parent asset is the first item in the array.
Whether the input is a prompt. When true, displays as a text area with prompt spark feature. Only available for `string` input type.
Whether the input is used with prompt spark. Only available for `string` input type.
required: Optional[InputRequired]Set of rules that describes when this input is required:
- `always`: Input is always required
- `ifNotDefined`: Input is required when another specified input is not defined
- `ifDefined`: Input is required when another specified input is defined
- `conditional`: Input is required when other inputs have specific values
By default, the input is not required.
Set of rules that describes when this input is required:
- `always`: Input is always required
- `ifNotDefined`: Input is required when another specified input is not defined
- `ifDefined`: Input is required when another specified input is defined
- `conditional`: Input is required when other inputs have specific values
By default, the input is not required.
conditional: Optional[InputRequiredConditional]Makes this input required when other inputs have one of the listed values
Makes this input required when other inputs have one of the listed values
The ID of the job that trained the model, returned to the model owner only (example: “job_ocZCnG1Df35XRL1QyCZSRxAG8”)
The model keyword, this is a legacy parameter, please use conceptPrompt in parameters
Fine-tune the model’s inferences with negative prompt embedding
parameters: Optional[Parameters]The parameters of the model
The parameters of the model
Age group of the voice (for professional cloning)
Only available for ElevenLabs voice training
The batch size Less steps, and will increase the learning rate
Only available for Flux LoRA training
The prompt to specify images in the same class as provided instance images
Deprecated legacy training parameter.
Type of voice cloning: “instant” (fast) or “professional” (higher quality, requires captcha)
Only available for ElevenLabs voice training
The prompt with identifier specifying the instance (or subject) of the class (example: “a daiton dog”)
Default value varies depending on the model type. For Flux LoRA, the default is an empty string.
Gender of the voice (for professional cloning)
Only available for ElevenLabs voice training
Language of the audio samples (ISO 639-1 code)
Only available for ElevenLabs voice training
Initial learning rate (after the potential warmup period)
Default value varies depending on the model type. For Flux LoRA, the default is 0.0001.
Initial learning rate (after the potential warmup period) for the text encoder
Maximum [Flux LoRA: 0.001] Default [Flux LoRA: 0.00001] Minimum [Flux LoRA: 0.000001]
Initial learning rate (after the potential warmup period) for the UNet
Deprecated legacy training parameter.
lr_scheduler: Optional[Literal["constant", "constant-with-warmup", "cosine", 3 more]]The scheduler type to use (default: “constant”)
Deprecated legacy training parameter.
The scheduler type to use (default: “constant”)
Deprecated legacy training parameter.
Maximum number of training steps to execute (default: varies depending on the model type)
Default value varies depending on the model type:
- For Flux: number of training images * 100
Maximum value varies depending on the model type:
- For Flux: [0, 10000]
The number of epochs to train for
Only available for Flux LoRA training
The number of times to repeat the training
Only available for Flux LoRA training
The number of training steps for the text encoder
Deprecated legacy training parameter.
The number of training steps for the UNet
Deprecated legacy training parameter.
Optimize the model training task for a specific type of input images. The available values are:
- “likeness”: optimize training for likeness or portrait (targets specific transformer blocks)
- “all”: train all transformer blocks
- “none”: train no specific transformer blocks
This parameter controls which double and single transformer blocks are trained during the LoRA training process.
Only available for Flux LoRA training
The weight of prior preservation loss
Deprecated legacy training parameter.
Whether to random crop or center crop images before resizing to the working resolution
Deprecated legacy training parameter.
Ratio of random crops
Deprecated legacy training parameter.
Scale of random crops
Deprecated legacy training parameter.
The dimension of the LoRA update matrices
Only available for Flux LoRA and Musubi training
Default value varies depending on the model type:
- For Flux: 16
- For Musubi: 64
Each trainer enforces its own tighter limit (Flux LoRA: [2; 64], Musubi: [2; 128])
Whether to remove background noise from audio samples before cloning. When enabled, each sample must be at least 5 seconds long.
Only available for ElevenLabs voice training
The prompts to use for each epoch Only available for Flux LoRA training
The sample prompt images (AssetIds) paired with samplePrompts Only available for Flux LoRA training Must be the same length as samplePrompts
Whether to scale the learning rate
Note: Legacy parameter, will be ignored
Deprecated legacy training parameter.
Used to reproduce previous results. Default: randomly generated number.
Deprecated legacy training parameter.
Whether to train the text encoder or not
Example: For 100 steps and a value of 0.2, it means that the text encoder will be trained for 20 steps and then the UNet for 80 steps
Note: Legacy parameter, please use numTextTrainSteps and numUNetTrainSteps
Deprecated legacy training parameter.
Validation frequency. Cannot be greater than maxTrainSteps value
Deprecated legacy training parameter.
performance_stats: Optional[PerformanceStats]Aggregated performance stats
Aggregated performance stats
The model short description (example: “This model generates highly detailed cinematic scenes.”)
training_images: Optional[List[TrainingImage]]The URLs of the first 3 training images of the model. To retrieve the full set of images, get it by modelId
The URLs of the first 3 training images of the model. To retrieve the full set of images, get it by modelId
training_progress: Optional[TrainingProgress]Additional information about the training progress of the model
Additional information about the training progress of the model
Signed URL of the captcha image to read aloud during PVC voice cloning. Only present when stage === ‘pending-captcha’. Overwritten on each retry.
Position of the job in the queue (ie. the number of job in the queue before this one)
Last recoverable failure message during PVC. Present when the model has bounced back to stage === ‘ready-for-captcha’ after a step 2 or step 3 failure (e.g. captcha rejected, time limit exceeded). Surface above the retry button so the user understands why they’re back here.
ui_config: Optional[UiConfig]The UI configuration for the model
The UI configuration for the model
input_properties: Optional[Dict[str, UiConfigInputProperties]]Configuration for the input properties
Configuration for the input properties
output_properties: Optional[Dict[str, UiConfigOutputProperties]]Configuration for the provider outputs exposed by exposeOutput
Configuration for the provider outputs exposed by exposeOutput
resolution_component: Optional[UiConfigResolutionComponent]Configuration for the resolution component
Configuration for the resolution component